## org.apache.lucene.queryParser.surround.query
Class SpanNearClauseFactory

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SpanNearClauseFactory

    public class SpanNearClauseFactory

extends java.lang.Object

Constructor Summary
`SpanNearClauseFactory(IndexReader reader, java.lang.String fieldName, BasicQueryFactory qf)`

Method Summary
`void` `addSpanNearQuery(Query q)`
`protected void` `addSpanQueryWeighted(SpanQuery sq, float weight)`
`void` `addTermWeighted(Term t, float weight)`
`void` `clear()`
`BasicQueryFactory` `getBasicQueryFactory()`
`java.lang.String` `getFieldName()`
`IndexReader` `getIndexReader()`
`TermEnum` `getTermEnum(java.lang.String termText)`
`SpanQuery` `makeSpanNearClause()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanNearClauseFactory

    public SpanNearClauseFactory(IndexReader reader,
                                 java.lang.String fieldName,
                                 BasicQueryFactory qf)

Method Detail

### getIndexReader

    public IndexReader getIndexReader()

### getFieldName

    public java.lang.String getFieldName()

### getBasicQueryFactory

    public BasicQueryFactory getBasicQueryFactory()

### getTermEnum

    public TermEnum getTermEnum(java.lang.String termText)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### size

    public int size()

### clear

    public void clear()

### addSpanQueryWeighted

    protected void addSpanQueryWeighted(SpanQuery sq,
                                        float weight)

### addTermWeighted

    public void addTermWeighted(Term t,
                                float weight)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addSpanNearQuery

    public void addSpanNearQuery(Query q)

### makeSpanNearClause

    public SpanQuery makeSpanNearClause()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.